package com.ruoyi.sim.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.sim.mapper.MajorMapper;
import com.ruoyi.sim.domain.Major;
import com.ruoyi.sim.service.IMajorService;

/**
 * sim-专业Service业务层处理
 *
 * @author tom
 * @date 2024-12-10
 */
@Service
public class MajorServiceImpl implements IMajorService {
    @Autowired
    private MajorMapper majorMapper;

    /**
     * 查询sim-专业
     *
     * @param majorId sim-专业主键
     * @return sim-专业
     */
    @Override
    public Major selectMajorByMajorId(Long majorId) {
        return majorMapper.selectMajorByMajorId(majorId);
    }

    /**
     * 查询sim-专业列表
     *
     * @param major sim-专业
     * @return sim-专业
     */
    @Override
    public List<Major> selectMajorList(Major major) {
        return majorMapper.selectMajorList(major);
    }

    /**
     * 新增sim-专业
     *
     * @param major sim-专业
     * @return 结果
     */
    @Override
    public int insertMajor(Major major) {
        return majorMapper.insertMajor(major);
    }

    /**
     * 修改sim-专业
     *
     * @param major sim-专业
     * @return 结果
     */
    @Override
    public int updateMajor(Major major) {
        return majorMapper.updateMajor(major);
    }

    /**
     * 批量删除sim-专业
     *
     * @param majorIds 需要删除的sim-专业主键
     * @return 结果
     */
    @Override
    public int deleteMajorByMajorIds(Long[] majorIds) {
        return majorMapper.deleteMajorByMajorIds(majorIds);
    }

    /**
     * 删除sim-专业信息
     *
     * @param majorId sim-专业主键
     * @return 结果
     */
    @Override
    public int deleteMajorByMajorId(Long majorId) {
        return majorMapper.deleteMajorByMajorId(majorId);
    }
}
